import FireEventObserver from '../framework/FireEventObserver';
import SubHallManger from '../view/subHallManger'

cc.Class({
    extends: SubHallManger,

    properties: {
        gamesNode:cc.Node,
        
        aginHall:cc.Node,
        agxinHall:cc.Node,
        bbinHall:cc.Node,
        mgHall:cc.Node,
    },

    clickAginHall(sender){
        var showingHall = this.aginHall.getComponent('AginHallController')
        showingHall.parentScene = this
        this.playEnd(showingHall)
    },
    clickAgxinHall(sender){
        var showingHall = this.agxinHall.getComponent('AgxinHallController')
        showingHall.parentScene = this
        this.playEnd(showingHall)
    },
    clickBBinHall(sender){
        var showingHall = this.bbinHall.getComponent('BBinHallController')
        showingHall.parentScene = this
        this.playEnd(showingHall)
    },
    clickMgHall(sender){
        var showingHall = this.mgHall.getComponent('MgHallController')
        showingHall.parentScene = this
        this.playEnd(showingHall)
    },
});

